Subject: bug#45830: closed (Re: Assert, that user and group names are unique -> breaks guix system reconfigure)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Jan 2021 23:54:01 +0000

Your bug report

#45830: Assert, that user and group names are unique -> breaks guix system reconfigure

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45830: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45830
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Assert, that user and group names are unique -> breaks guix system reconfigure
From: Leo Prikler <[email-masked]>
To: Jonathan Brielmaier <[email-masked]>
Cc: [email-masked]
Date: Wed, 13 Jan 2021 00:53:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello again,
Am Mittwoch, den 13.01.2021, 00:23 +0100 schrieb Leo Prikler:
> Hi Jonathan,
> 
> Am Mittwoch, den 13.01.2021, 00:03 +0100 schrieb Jonathan Brielmaier:
> > Hi Leo,
> > 
> > your commit a3002104:
> > system: Assert, that user and group names are unique.
> > 
> > breaks `guix system reconfigure` for me and other people (at least
> > two
> > in IRC).
> > 
> > $ guix system reconfigure config.scm
> > guix system: error: the following groups appear more than once: lp
> > 
> > $ sudo grep lp /etc/group
> > lp:x:989:
> > 
> > lpadmin:x:975:
> > 
> > $ sudo grep lp /etc/passwd
> > lp:!:18467::::::
> It would seem you have two or more services adding an lp group then. 
> Or one service and a manually defined one.
> 
> > The same happend on my server with the `nginx` group.
> Same problem here; you're probably adding an nginx group twice in
> some
> way.  This is especially concerning, given that it's groups twice –
> for
> some reason nothing is adding additional users or else that check
> would
> have been triggered first.
> 
> > I reverted it for the mean time, as I find it pretty grave...
> I would have preferred, if you could instead have demoted it to a
> warning.  I understand, that stuff suddenly breaking can be
> frustrating, but I doubt the configurations you're using are fine.
> 
> > ~Jonathan
> Regards,
> Leo
I've re-applied the patch with errors demoted to warnings.  I hope you
and the other people, who've reported this in IRC will be able to
figure out where the duplicate groups come from.

Regards,
Leo

Subject: Assert, that user and group names are unique -> breaks guix system reconfigure
From: Jonathan Brielmaier <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 13 Jan 2021 00:03:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Leo,

your commit a3002104:
system: Assert, that user and group names are unique.

breaks `guix system reconfigure` for me and other people (at least two
in IRC).

$ guix system reconfigure config.scm
guix system: error: the following groups appear more than once: lp

$ sudo grep lp /etc/group
lp:x:989:

lpadmin:x:975:

$ sudo grep lp /etc/passwd
lp:!:18467::::::

The same happend on my server with the `nginx` group.

I reverted it for the mean time, as I find it pretty grave...

~Jonathan